Star Wars: Battlefront (2015) – error «Intel Driver»

intel driver
When you try to run Star Wars: Battlefront (2015) – climbs error «Please update your intel driver».
For Star Wars: Battlefront (2015) You need one of the new tools for intel. Simply install this utility, and the error in the game will disappear.
Downloading – Intel ver.4.11.133.1
The installer will specify where to install.

Leave a Reply